Piwik 2.11.0 removes enabled_framed_pages and force_ssl from config.ini


#1

After upgrading to 2.11.0, I noticed Piwik no longer worked within an iframe. It appears this upgrade removed enable_framed_pages=1 from the config.ini.php file. It also removed force_ssl=1.

Perhaps that’s intended but I thought it worth noting. Just include them again in your config.ini.php file if needed.

Edit: Well, now I’m not sure that’s what happened. When I upgraded a different environment, the config.ini.php file stayed the same. Apologies for the potential false alarm.


(Matthieu Aubry) #2

Hi there,

Just to confirm: the upgrade should not remove any setting from the config.